/******************************************************************************
;  *   	@ͺ				  : MC30P6280
;  *   	@             : 2021.08.04
;  *   	@˾/			  : SINOMCU-FAE
;  *   	@΢֧       : 2048615934
;  *   	@΢           : http://www.sinomcu.com/
;  *   	@Ȩ                 : 2021 SINOMCU˾Ȩ.
;  *----------------------ժҪ---------------------------------
;  *					INT   ⲿж
					P10½شP12תһ
******************************************************************************/


#include "user.h"

/************************************************
;  *    @Function Name       : C_RAM
;  *    @Description         : ʼRAM
;  *    @IN_Parameter      	 : 
;  *    @Return parameter    :
;  ***********************************************/
void C_RAM(void)
{
   	__asm
   	movai 0x3F
   	movra FSR
   	movai 47
   	movra 0x3F
   	decr FSR
   	clrr INDF
   	djzr 0x3F
   	goto $ -3;
   	clrr 0x3F
   	__endasm;
}

/************************************************
;  *    @Function Name       : IO_Init
;  *    @Description         :
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
void IO_Init(void)
{
   	P1 = 0x00; //1:input 0:output
   	DDR1 = 0x00;   	//1:input 0:output
   	PUCON = 0xff; //0:Effective 1:invalid
   	PDCON = 0xff; //0:Effective 1:invalid
   	ODCON = 0x00; //0:  1:©
}
/************************************************
;  *    @Function Name       : INT_Init
;  *    @Description         : ⲿжϳʼ
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
void INT_Init(void)
{
   	T0CR &= ~DEF_SET_BIT6; //½ش
   	DDR1 |= DEF_SET_BIT0;  	//P10  in
   	PUCON &= ~DEF_SET_BIT0;	//P10

   	EIS = 1;   //ⲿжԴЧ
   	INTIE = 1; //ⲿжʹ
}
/************************************************
;  *    @Function Name       : Sys_Init
;  *    @Description         : ϵͳʼ
;  *    @IN_Parameter      	 : 
;  *    @Return parameter    :
;  ***********************************************/
void Sys_Init(void)
{
	GIE = 0;
	C_RAM();
	IO_Init();
	INT_Init();
	GIE = 1;
}
//=================================================================================
void main(void)
{
   	Sys_Init();
   	while (1)
   	{

   	}
}

/************************************************
;  *    @Function Name       : Interrupt
;  *    @Description         : The interrupt function
;  *    @IN_Parameter          	 :
;  *    @Return parameter      	:
;  ***********************************************/
void int_isr(void) __interrupt
{
__asm
   	movra _abuf
   	swapar _STATUS
   	movra _statusbuf
__endasm;

   	if ((INTIF) && (INTIE))
   	{
   	   	P12D = !P12D;
   	   	INTIF = 0;
   	}
__asm
   	swapar _statusbuf
   	movra _STATUS
   	swapr _abuf
   	swapar _abuf
__endasm;
}


/**************************** end of file *********************************************/